## compiz-plugins-main 0.9.7.0~bzr19

=== CMakeLists.txt ===
project (compiz-plugins-main)

cmake_minimum_required (VERSION 2.4)

find_package (Compiz REQUIRED)

include (CompizCommon)
include (CompizPackage)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)

set (VERSION ${COMPIZ_RELEASE_VERSION})

set (COMPIZ_PLUGIN_INSTALL_TYPE "package")

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz-plugins-main)

compiz_add_plugins_in_folder ("${CMAKE_SOURCE_DIR}")

compiz_print_configure_header ("Compiz Plugins Main")
compiz_print_plugin_stats ("${CMAKE_SOURCE_DIR}")
compiz_print_configure_footer ()

compiz_package_generation ("Compiz Plugins Main")
compiz_add_git_dist ()
compiz_add_distcheck ()
compiz_add_release ()
compiz_add_release_signoff ()
