=== debian/changelog ===
compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu10.1) precise; urgency=low

  * debian/patches/fix_755842.patch:
    Fix non-maximized windows which sit on the border of a workspace move
    when called (LP: #755842) 
  * debian/patches/fix_1015151.patch:
    Fix a crash related to the above fix (LP: #1015151)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Feb 2013 10:56:33 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu10) precise; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/fix_963767.patch : fix LP: #963767, scale correctly

  [ Didier Roche ]
  * debian/patches/ubuntu_config.patch:
    Fix typos in animation.xml.in causing mismatched animations of menus and
    tooltips (LP: #977743)
  * debian/patches/fix_976469.patch:
    - Shadows are not clipped until animations are finished (LP: #976469)
  * debian/patches/fix_940603.patch:
    - white box randomly shows up at top left corner blocking applications from
      using stuff under it (LP: #940603)

  [ Oliver Grawert ]
  * update GLES2 patch for latest changes.
  * thanks to Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com> for
    merging the packaging changes into the right branches.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 12 Apr 2012 09:19:07 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu9) precise; urgency=low

  * add quilt support to debian/rules
  * enable per-arch patches in debian/rules (series.<arch> is now respected)
  * add arch specific .install files for armel/armhf
  * enable gles2 buildoptions on armel/armhf
  * add arch specific compiz-plugins-main-gles2.patch for arm arches, credits
    go to Alexandros Frantzis <alexandros.frantzis@linaro.org> for creating
    it.
  * build depend on compiz-dev 1:0.9.7.4-0ubuntu3 since we need the
    FindOpenGLES2.cmake fix from this version to build on armhf(/el)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Apr 2012 02:50:50 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu8) precise; urgency=low

  [ Matthias Niess]
  * debian/patchs/ubuntu-config.patch:
    - disable ezoom bad default of Super+r causing zoom to current window
      (LP: #953278)

  [ Didier Roche ]
  * debian/patches/ubuntu_config.patch: (LP: #969235)
    - update shortcuts per design request:
      Ctrl + Super + Cursor Left or Right Semi-maximises current window

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Apr 2012 15:45:04 +0200

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu7) precise-proposed; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/shift_954079.patch:
    - cherry picked the shift plugin patch for fixing an issue with compiz crashes
      on right-click. This removes an unused option in the plugin. (LP: #954079)
  * debian/patches/fix_broken_build.patch:
    - fixes the build with the newer compiz
  * debian/patches/vpswitch_953834.patch:
    - don't pass through keystrokes you are using to the active window (LP: #953834)

  [ Didier Roche ]
  * debian/control:
    - bump compiz-dev and libcompizconfig0-dev build-dep for ABI break
  * debian/patches/fix_930192.patch:
    - Animations of large or full-screen windows skip frames (not smooth) (LP: #930192)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 21 Mar 2012 11:46:41 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu6) precise; urgency=low

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/workarounds_931473.patch:
    - cherry picked the workarounds plugin patch for fixing menu redraw issues.
      On initial damage events we now force a complete window redraw. (LP: #931473)

  [ Didier Roche ]
  * debian/control:
    - bump compiz-dev and libcompizconfig0-dev build-dep for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 12 Mar 2012 12:45:30 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu5) precise; urgency=low

  * debian/control:
    - build against libjpeg-dev instead of the 62 flavor
  * debian/patches/ubuntu_config.patch:
    - revert the keybinding workspace changes as we can't keep the old one in
      addition to the new one. Some plan on compiz will be done for next cycle
      to support this and give another try to the new keybinding. (LP: #940085)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Feb 2012 10:59:52 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu3) precise; urgency=low

  * apply design changes for the keybindings (LP: #878820, #891757, #751050),
    debian/patches/ubuntu_config.patch:
    - Control + Alt + KP_5: don't center, used for toggling maximize state
      by core
    - Remove Control + Alt + KP_0 to not maximize,  (used to minimize in core)
    - Super + Left, Right key to semi maximize and stack on left or right
    - Remove zoom in/out/box (like in oneiric and before). Those should be
      enabled in g-c-c with the a11y tools.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 22 Feb 2012 15:04:30 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu2) precise; urgency=low

  [ Sam Spilsbury ]
  * debian/patches/expo_api_931927.patch
  * debian/patches/workarounds_923087.patch
    - adjust for API breaks (LP: #931927, #923087)

  [ Didier Roche ]
  * debian/control:
    - build-dep on latest compiz-dev for ABI dev

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Feb 2012 15:14:05 +0100

compiz-plugins-main (1:0.9.7.0~bzr19-0ubuntu1) precise; urgency=low

  * New upstream snapshot:
    - Ctrl-Alt-KP_9 adjusts window to upper half instead of top right corner
      (behaves like Ctrl-Alt-KP_8) (LP: #876591)
    - Some plugins no longer build due to undefined DEG2RAD (LP: #918554)
    - Compiz grid plugin is fired when resizing a window (LP: #891886)
    - Sometimes the grid indicator is shown after double clicking to exit from expo (LP: #868295) 
    - unmaximizable windows still show orange glow but fail to maximize (LP: #827560)
    - compiz crashed with SIGSEGV in CompWindow::serverBorderRect() (LP: #834585)
    - dragging a window to the top while maximized gives it double
      borders (LP: #850985)

