=== debian/control ===
Source: compiz-plugins-main
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Sean Finney <seanius@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               cmake,
               quilt,
               intltool,
               compiz-dev (>= 1:0.9.7.4-0ubuntu3),
               libgconf2-dev,
               libglib2.0-dev,
               libtool,
               libglu1-mesa-dev [!armel !armhf],
               libjpeg-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               xsltproc,
               libcairo2-dev,
               libpango1.0-dev,
               librsvg2-dev,
               libsm-dev,
               libdbus-1-dev,
               libdecoration0-dev (>= 1:0.9.5.92),
               libboost1.46-dev,
               libboost-serialization1.46-dev,
Standards-Version: 3.8.1
Section: x11
Vcs-Bzr: http://bazaar.launchpad.net/~compiz/compcomm-plugins-main/ubuntu

Package: compiz-plugins-main-default
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-core, compiz-core-abiversion-${coreabiversion}
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1),
          compiz-plugins-main (<< 0.9.4+bzr20110527-0ubuntu2),
          compiz-plugins-default (<< 1:0.9.5),
          compiz-plugins (<< 1:0.9.4+bzr20110606-0ubuntu1),
          compiz-gnome (<< 1:0.9.5),
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main default collection
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 installed by default in ubuntu from the compiz project.

Package: compiz-plugins-main
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-plugins-main-default (= ${binary:Version}),
         compiz-core, compiz-core-abiversion-${coreabiversion},
Breaks: compiz-core (<< 1:0.9.2.1+glibmainloop3)
Replaces: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main collection
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package provides the primary and most well tested set of plugins
 from the compiz project.

Package: compiz-plugins-main-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         compiz-dev,
         compiz-plugins-main (= ${binary:Version}),
Replaces: compiz-plugins-main (<< 0.9.4+bzr20110527-0ubuntu2),
          compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Conflicts: compiz-fusion-plugins-main (<< 0.9.4-0ubuntu1)
Description: Compiz plugins - main collection development files
 Compiz seeks to provide an easy and fun-to-use windowing environment,
 allowing use of the graphics hardware to provide impressive effects,
 amazing speed and unrivalled usefulness.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins depending from plugin in compiz-plugins-main.

Package: compiz-fusion-plugins-main
Depends: compiz-plugins-main, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package.
 .
 This package ensures a clean upgrade path, and can be safely removed
 after the upgrade.
